Anonymous | Login
Project:
RSS
  
News | My View | View Issues | Roadmap | Summary

View Issue DetailsJump to Notes ] Issue History ] Print ]
ID
0042947
TypeCategorySeverityReproducibilityDate SubmittedLast Update
defect[Openbravo ERP] A. Platformminorhave not tried2020-01-20 16:082020-02-07 09:13
Reporterinigo_lergaView Statuspublic 
Assigned Toinigo_lerga 
PrioritynormalResolutionfixedFixed in Version3.0PR20Q2
StatusclosedFix in branchFixed in SCM revision861100e03c60
ProjectionnoneETAnoneTarget Version
OSAnyDatabaseAnyJava version
OS VersionDatabase versionAnt version
Product VersionSCM revision 
Review Assigned Todmiguelez
Web browser
ModulesCore
Regression level
Regression date
Regression introduced in release
Regression introduced by commit
Triggers an Emergency PackNo
Summary

0042947: Apply new HQL Style in CostAdjustmentProcess.java

DescriptionCostAdjustmentProcess.java has three HQL queries with:
- the HQL is hard to read because of formatting
- and it is mixing txt and i.e PROPERTY_ID constant which is not recommended by default
Steps To Reproduce-
Proposed SolutionFollow new format as in http://wiki.openbravo.com/wiki/HQL_Coding_Conventions [^]
TagsNo tags attached.
Attached Files

- Relationships Relation Graph ] Dependency Graph ]
related to design defect 0041287 acknowledgedplatform Tracking issue: Convert HQL to apply new style 

-  Notes
(0117265)
inigo_lerga (developer)
2020-01-27 13:55

Test Plan Mantis HQL queries:
As the F&B International Group Admin role:
    - Go to the Purchase Order window and create a new record
      with "Bebidas Alegres, S.L." as Business Partner. Enter
      the Lines tab and crete a new record with Product
      "Cerveza Lager 0,5L" and 20 units as Ordered Quantity.
      Press the Book button and OK in the popup window.
      
    - Go to the Goods Receipt window and create a new record
      with "Bebidas Alegres, S.L." as Business Partner.
      Press the Create Lines From button and select the
      previously created Purchase Order in the Order field.
      Select the "Cerveza Lager 0,5L" record and press the Locator
      button in the Storage bin field. In the popuup window,
      select the Warehouse with Alias "Rn-0-0-0" and press OK.
      Press the OK button in the previous popup window to create
      the lines.
      Press the Complete button and OK in the popup window.

    - Go to the Purchase Invoice window and create a new record with
      "Bebidas Alegres, S.L." as Business Partner. Press the Create
      Lines From Receipt button and select the previosly created line
      with Product "Cerveza Lager 0,5L". Press the Done button in the
      popup window.
      Press the Complete button and OK in the popup window.

    - Go to the Landed Cost Type window and create a new record with
      any name desired, "Distribution by Amount" in the "Landed Cost
      Distribution Algorithm" field and "Capital social" in the Account
      field. Save the record.

    - Go to the Landed Cost window and create a new record with every
      field as default. Enter the Cost Tab and create a new record with
      40 as amount and check that the "Landed Cost Type" field is set
      to the previosly created Landed Cost Type. Enter the Rceipt Tab
      and create a new record with the previosly created Goods Receipt
      in the Goods Receipt field and select the only line available in
      the Goods Receipt Line field.
      Press the Process button in the Header of the record and Done in
      the popup window.

    #In this moment the modified HQLs are executed#
(0117535)
hgbot (developer)
2020-02-07 09:12

Repository: erp/devel/pi
Changeset: 861100e03c60af2a6a966de4d43519cea4af17a3
Author: Iñigo Lerga <inigo.lerga <at> openbravo.com>
Date: Mon Jan 27 13:06:24 2020 +0100
URL: http://code.openbravo.com/erp/devel/pi/rev/861100e03c60af2a6a966de4d43519cea4af17a3 [^]

fixes BUG-42947:Applied new HQL Style

---
M src/org/openbravo/costing/CostAdjustmentProcess.java
---
(0117536)
hgbot (developer)
2020-02-07 09:12

Repository: erp/devel/pi
Changeset: 76fc7020d33d759a6f3a438620d3483ee39d2efe
Author: Iñigo Lerga <inigo.lerga <at> openbravo.com>
Date: Mon Jan 27 13:10:13 2020 +0100
URL: http://code.openbravo.com/erp/devel/pi/rev/76fc7020d33d759a6f3a438620d3483ee39d2efe [^]

related to ISSUE-42947: Applied Sonarlint suggestions

---
M src/org/openbravo/costing/CostAdjustmentProcess.java
---
(0117537)
hgbot (developer)
2020-02-07 09:12

Repository: erp/devel/pi
Changeset: 0db514a595f26857a21bbadd160e21d098525823
Author: David Miguelez <david.miguelez <at> openbravo.com>
Date: Fri Feb 07 09:12:36 2020 +0100
URL: http://code.openbravo.com/erp/devel/pi/rev/0db514a595f26857a21bbadd160e21d098525823 [^]

Related to ISSUE-42947. Code Review changes
* Added removed comment
* Added final modifiers

---
M src/org/openbravo/costing/CostAdjustmentProcess.java
---
(0117538)
dmiguelez (developer)
2020-02-07 09:13

Code Review + Testing Ok

- Issue History
Date Modified Username Field Change
2020-01-20 16:08 inigo_lerga New Issue
2020-01-20 16:08 inigo_lerga Assigned To => inigo_lerga
2020-01-20 16:08 inigo_lerga Modules => Core
2020-01-20 16:08 inigo_lerga Triggers an Emergency Pack => No
2020-01-20 16:09 inigo_lerga Relationship added related to 0041287
2020-01-20 16:09 inigo_lerga Status new => scheduled
2020-01-27 13:55 inigo_lerga Note Added: 0117265
2020-02-07 09:12 hgbot Checkin
2020-02-07 09:12 hgbot Note Added: 0117535
2020-02-07 09:12 hgbot Status scheduled => resolved
2020-02-07 09:12 hgbot Resolution open => fixed
2020-02-07 09:12 hgbot Fixed in SCM revision => http://code.openbravo.com/erp/devel/pi/rev/861100e03c60af2a6a966de4d43519cea4af17a3 [^]
2020-02-07 09:12 hgbot Checkin
2020-02-07 09:12 hgbot Note Added: 0117536
2020-02-07 09:12 hgbot Checkin
2020-02-07 09:12 hgbot Note Added: 0117537
2020-02-07 09:13 dmiguelez Review Assigned To => dmiguelez
2020-02-07 09:13 dmiguelez Note Added: 0117538
2020-02-07 09:13 dmiguelez Status resolved => closed
2020-02-07 09:13 dmiguelez Fixed in Version => 3.0PR20Q2


Copyright © 2000 - 2009 MantisBT Group
Powered by Mantis Bugtracker